<template>
  <div id="loads">
    <div class="container">
      <form>
        <label>Search</label>
        <input type="text" placeholder="Search for vehicle..." v-model="search" />
      </form>

      <br />

      <table>
        <thead>
          <tr>
            <th>Id</th>
            <th>Vehicle</th>
            <th>Code</th>
            <th>Delivery Date</th>
          </tr>
        </thead>

        <tbody>
          <tr v-for="load of filteredVehicle" :key="load.id">
            <td>{{ load.id }}</td>
            <td>{{ load.vehicle }}</td>
            <td>{{ load.code }}</td>
            <td>{{ load.delivery_date | formatDate }}</td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</template>

<script>
import Load from "../services/loads";

export default {
  data() {
    return {
      loads: [],
      search: ""
    };
  },

  computed: {
    filteredVehicle: function() {
      return this.loads.filter(load => {
        return load.vehicle.match(this.search);
      });
    }
  },

  mounted() {
    Load.index().then(result => {
      this.loads = result.data;
    });
  }
};
</script>

<style>

</style>
